<div class="mr-8 mb-4">
    <h3 class="italic text-gray-500 text-xs dark-mode:text-gray-600 mb-1">OPCache Reset</h3>

    <div class="rounded dark-mode:bg-gray-800 px-6 py-2 border border-gray-200 dark-mode:border-gray-700 mb-1">
        <div class="flex">
            <div class="{{ $enabled ? '' : 'flex items-center' }}">
                <div class="flex items-center">
                    Enabled:
                    <span class="ml-3 font-bold {{ $enabled ? 'text-green-400' : 'text-red-400' }}">{{ $enabled ? 'Yes' : 'No' }}</span>
                </div>
                @if ($enabled)
                    <p class="text-xs mt-2 text-gray-500 dark-mode:text-gray-500">Last reset: {{ $lastResetAt->format('jS M Y H:i:s') }}</p>
                    <a href="{{ route('peek.opcache.index') }}" class="text-xs mt-2 text-green-500 dark-mode:text-green-500">More info ></a>
                @endif
            </div>
            <div class="border-gray-200 border-l ml-6 mr-5 dark-mode:border-gray-700"></div>
            <div class="flex items-center">
                <form action="{{ route('peek.opcache.delete') }}" method="POST">
                    {!! csrf_field() !!}
                    <input type="hidden" name="_method" value="DELETE" />
                    <button class="{{ $enabled ? 'bg-green-500' : 'bg-gray-400 cursor-not-allowed dark-mode:bg-gray-700' }} text-white px-2 py-1 rounded">Reset</button>
                </form>
            </div>
        </div>
    </div>
    <h3 class="italic text-gray-500 text-xs dark-mode:text-gray-600 mb-1">This will reset all files on the server.</h3>
</div>
