<!DOCTYPE html>
<html class="h-full" lang="en">
<head>
    <title>Peek</title>
    <link href="{{ route('peek.css.index') }}" rel="stylesheet">
    @stack('css')

    @include('peek::partials.icons')
</head>
<body class="flex h-full">
    <div class="flex flex-col font-bold text-center text-gray-400 text-xs dark-mode:bg-gray-800">
        <div class="mt-3 mb-12 flex justify-center">
            <svg width="86" height="40" viewBox="0 0 86 40" class="mb-1 text-gray-800 fill-current dark-mode:text-white">
                @include(app('peek:logo'))
            </svg>
        </div>
        @include('peek::partials.menu-btn', ['route' => 'peek.index', 'icon' => 'dashboard', 'title' => 'Dashboard'])
        @include('peek::partials.menu-btn', ['route' => 'peek.environment.index', 'icon' => 'environment', 'title' => 'Env Variables'])
        @include('peek::partials.menu-btn', ['route' => 'peek.commands.index', 'icon' => 'terminal', 'title' => 'Commands'])
        @include('peek::partials.menu-btn', ['route' => 'peek.logs.index', 'icon' => 'logs', 'title' => 'Logs'])
        @include('peek::partials.menu-btn', ['route' => 'peek.git.index', 'icon' => 'git', 'title' => 'Git'])
        @include('peek::partials.menu-btn', ['route' => 'peek.files.index', 'icon' => 'folder', 'title' => 'Files'])
        @include('peek::partials.menu-btn', ['route' => 'peek.queues.index', 'icon' => 'queues', 'title' => 'Queues'])
        @include('peek::partials.menu-btn', ['route' => 'peek.auth.index', 'icon' => 'auth', 'title' => 'Authentication'])
    </div>
    <div class="bg-gray-100 dark-mode:bg-gray-800 text-gray-700 dark-mode:text-gray-500 h-full dark-mode:border-l dark-mode:border-gray-700">
        @yield('submenu')
    </div>
    <div class="flex-1 shadow-lg h-full overflow-y-auto" id="content">
        @yield('content')
    </div>
</body>
@stack('js')
</html>
