@extends('peek::layouts.app')

@section('content')
    @include('peek::partials.message')

    <div class="container mx-auto">
        <div class="p-6">
            <h2 class="text-lg font-bold mb-12">OPCache</h2>


            <div class="mr-8 mb-4">
                <h3 class="italic text-gray-500 text-xs dark-mode:text-gray-600 mb-1">PHP ini settings</h3>
                <div class="flex rounded dark-mode:bg-gray-800 border border-gray-200 border-2 dark-mode:border-gray-700">
                    <table>
                        <thead class="text-gray-500 text-sm border-gray-200 border-b dark-mode:border-gray-700 table w-full table-fixed">
                            <td class="px-4 py-2">Setting</td>
                            <td class="px-4 py-2">Value</td>
                        </thead>
                        <tbody class="block h-64 overflow-y-scroll overflow-x-hidden">
                            @foreach ($settings as $setting)
                            <tr class="table w-full table-fixed">
                                <td class="py-2 px-4 text-sm">{{ $setting['name'] }}</td>
                                <td class="py-2 px-4 font-bold">{{ is_bool($setting['value']) ? $setting['value'] ? 'Yes' : 'No' : $setting['value'] }}</td>
                            </tr>
                            @endforeach
                    </table>
                </div>
            </div>



            <table>
                <thead class="text-gray-500 text-sm border-gray-200 border-b dark-mode:border-gray-700">
                <tr class="table w-full table-fixed">
                    <td class="px-4 py-2" style="width: 48rem">File</td>
                    <td class="px-4 py-2">Hits</td>
                    <td class="px-4 py-2">Memory Usage</td>
                    <td class="px-4 py-2">Last Used</td>
                    <td></td>
                </tr>
                </thead>
                <tbody class="block overflow-x-hidden">
                @foreach ($scripts as $script)
                    <tr class="table w-full table-fixed">
                        <td class="py-2 px-4" style="width: 48rem">{{ $script['path'] }}</td>
                        <td class="py-2 px-4">{{ $script['hits'] }}</td>
                        <td class="py-2 px-4 font-bold">{{ $script['memory_consumption'] / 1000 }} Kb</td>
                        <td class="py-2 px-4">{{ $script['last_used'] }}</td>
                        <td class="py-2 px-4">
                            <form action="{{ route('peek.opcache.file.delete') }}" method="POST">
                                {!! csrf_field() !!}
                                <input type="hidden" name="_method" value="DELETE" />
                                <input type="hidden" name="script" value="{{ $script['path'] }}" />
                                <button class="text-green-500 rounded">Reset</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
                </tbody>
            </table>
        </div>
    </div>
@endsection
