<?php

namespace Drp\Peek\Blocks;

class Drivers implements Block
{
    public function render(): string
    {
        $drivers = [
            (object) [
                'name' => 'Queue',
                'value' => config('queue.default', 'not set / unsupported'),
            ],
            (object) [
                'name' => 'Session',
                'value' => config('session.driver', 'not set / unsupported'),
            ],
            (object) [
                'name' => 'Cache',
                'value' => config('cache.default', 'not set / unsupported'),
            ],
            (object) [
                'name' => 'Mail',
                'value' => $this->getMailDriver(),
            ],
            (object) [
                'name' => 'Broadcast',
                'value' => config('broadcasting.default', 'not set / unsupported'),
            ],
            (object) [
                'name' => 'Logging',
                'value' => config('logging.default', 'not set / unsupported'),
            ],
        ];

        return view('peek::blocks.drivers', [
            'drivers' => $drivers,
        ]);
    }

    protected function getMailDriver(): ?string
    {
        if (app()->version() >= '7.0') {
            return config('mail.default', 'not set / unsupported');
        }

        return config('mail.driver', 'not set / unsupported');
    }
}
