<?php

namespace Drp\Peek\Blocks;

use Carbon\Carbon;

class OpCacheReset implements Block
{
    /** @var array */
    private $extensions;

    public function __construct(array $extensions)
    {
        $this->extensions = $extensions;
    }

    public function render(): string
    {
        $enabled = in_array('Zend OPcache', $this->extensions);
        $lastResetAt = $this->getLastResetTime($enabled);

        return view('peek::blocks.opcache', ['enabled' => $enabled, 'lastResetAt' => $lastResetAt])->render();
    }

    private function getLastResetTime(bool $enabled): ?Carbon
    {
        if ($enabled === false) {
            return null;
        }

        return Carbon::createFromTimestampUTC(opcache_get_status()['opcache_statistics']['last_restart_time'])
            ->setTimezone(date_default_timezone_get());
    }
}
