<?php

namespace Drp\Peek\Environment\Exceptions;

use RuntimeException;

class InvalidEnvVariables extends RuntimeException
{
    public const FROM_PREVIOUS = 1;

    public const INVALID_VALUES = 2;

    public static function invalidMatch(string $variableName): self
    {
        return new self(
            'Could not validate variable "'  . $variableName . '". Please make sure it is a valid env variable.',
            self::INVALID_VALUES
        );
    }

    public static function fromPrevious(\Throwable $previous): self
    {
        return new self(
            'Some variables were invalid! DotEnv loader threw: ' . $previous->getMessage(),
            self::FROM_PREVIOUS,
            $previous
        );
    }
}
