<?php

namespace Drp\Peek\Environment;

class Variable
{
    /** @var string */
    private $name;

    /** @var string */
    private $value;

    /** @var bool */
    private $banned = false;

    public function __construct(string $name, string $value)
    {
        $this->name = $name;
        $this->value = $value;
    }

    public function banned(): self
    {
        $this->banned = true;

        return $this;
    }

    public function isBanned(): bool
    {
        return $this->banned;
    }

    public function name(): string
    {
        return $this->name;
    }

    public function value(): string
    {
        if ($this->isBanned()) {
            return preg_replace('/./', '*', $this->value);
        }

        return $this->value;
    }
}
