<?php

namespace Drp\Peek\Http\Controllers\Commands;

use Drp\Peek\Facade\Peek as Peek;
use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\Storage;

class Delete extends Controller
{
    public function __invoke(string $commandName, string $file): RedirectResponse
    {
        $log = Peek::commandLogs($commandName)->get($file);

        if ($log !== null) {
            Storage::disk('peek:commands')->delete($log->fullPath);
        }

        return redirect()->route('peek.commands.show', [$commandName]);
    }
}
