<?php

namespace Drp\Peek\Http\Controllers\Environment;

use Drp\Peek\Environment\Exceptions\InvalidEnvVariables;
use Drp\Peek\Facade\Peek as Peek;
use Illuminate\Http\RedirectResponse;
use Illuminate\Routing\Controller;

class Update extends Controller
{
    public function __invoke(): RedirectResponse
    {
        try {
            Peek::environment()->write(request('env', []));
        } catch (InvalidEnvVariables $exception) {
            return redirect()->back()->withInput()->with('error', $exception->getMessage());
        }

        return redirect()->back()->with('success', 'Successfully updated environment file.');
    }
}
