<?php

namespace Drp\Peek\Http\Controllers\Opcache\File;

use Illuminate\Http\RedirectResponse;

class Delete
{
    private function calculateResponseMessage(bool $result): RedirectResponse
    {
        if ($result === false) {
            return redirect()->back()->withError(
                'Failed to reset cache for script. Is OPCache enabled on this server?'
            );
        }

        return redirect()->back()->withSuccess('Successfully reset cache for ' . request('script') . '!');
    }

    public function __invoke(): RedirectResponse
    {
        if (request('script') === null) {
            return redirect()->back()->withError('Missing script to reset!');
        }

        return $this->calculateResponseMessage(opcache_invalidate(base_path(request('script')), true));
    }
}
