<?php

use Drp\Peek\Http\Controllers\ComingSoon;
use Drp\Peek\Http\Controllers\Commands;
use Drp\Peek\Http\Controllers\Css;
use Drp\Peek\Http\Controllers\Environment;
use Drp\Peek\Http\Controllers\Index;
use Drp\Peek\Http\Controllers\Logs;
use Drp\Peek\Http\Controllers\Opcache;
use Drp\Peek\Http\Controllers\PublicAccess;
use Drp\Peek\Http\Middleware\Authorize;
use Illuminate\Support\Facades\Route;

Route::group(
    [
        'prefix' => config('peek.routing.root'),
        'middleware' => array_merge(config('peek.routing.middleware'), [Authorize::class]),
    ],
    function (): void {
        Route::get('', single_action(Index::class))->name('peek.index');

        Route::get('css', single_action(Css\Index::class))->name('peek.css.index');

        Route::get('environment', single_action(Environment\Index::class))->name('peek.environment.index');
        Route::patch('environment', single_action(Environment\Update::class))->name('peek.environment.update');

        Route::get('commands', single_action(Commands\Index::class))->name('peek.commands.index');
        Route::post('commands', single_action(Commands\Store::class))->name('peek.commands.store');
        Route::get('commands/{command}', single_action(Commands\Show::class))->name('peek.commands.show');
        Route::get('commands/{command}/{file}', single_action(Commands\Show::class))
            ->name('peek.commands.files.show');
        Route::delete('commands/{command}/{file}', single_action(Commands\Delete::class))
            ->name('peek.commands.files.delete');

        Route::get('logs', single_action(Logs\Index::class))->name('peek.logs.index');
        Route::get('logs/{log}', single_action(Logs\Show::class))->name('peek.logs.show');

        Route::get('git', single_action(ComingSoon\Index::class))->name('peek.git.index');
        Route::get('files', single_action(ComingSoon\Index::class))->name('peek.files.index');
        Route::get('queues', single_action(ComingSoon\Index::class))->name('peek.queues.index');
        Route::get('auth', single_action(ComingSoon\Index::class))->name('peek.auth.index');

        Route::get('public-access', single_action(PublicAccess\Index::class))->name('peek.public-access.index');

        Route::get('opcache', single_action(Opcache\Index::class))->name('peek.opcache.index');
        Route::delete('opcache', single_action(Opcache\Delete::class))->name('peek.opcache.delete');
        Route::delete('opcache/file', single_action(Opcache\File\Delete::class))->name('peek.opcache.file.delete');
    }
);
